library TradePlan;

uses
  SysUtils,
  classes,
  forms,
  WinTypes,
  WinProcs,
  midaslib,
  U_GetDllForm in 'U_GetDllForm.pas',
  U_DataLink in 'U_DataLink.pas' {DataLink_TradePlan: TDataModule},
  U_iniParam in 'U_iniParam.pas',
  U_BaseHelp in '..\Z99Dependency\design\U_BaseHelp.pas' {frmBaseHelp},
  U_BaseInput in '..\Z99Dependency\design\U_BaseInput.pas' {frmBaseInput},
  U_BaseList in '..\Z99Dependency\design\U_BaseList.pas' {frmBaseList},
  U_cxGridCustomCss in '..\Z99Dependency\design\U_cxGridCustomCss.pas',
  U_globalVar in '..\Z99Dependency\design\U_globalVar.pas',
  U_WindowFormdesign in '..\Z99Dependency\design\U_WindowFormdesign.pas',
  U_CompressionFun in '..\Z99Dependency\ThreeFun\Fun\U_CompressionFun.pas',
  U_RTFun in '..\Z99Dependency\ThreeFun\Fun\U_RTFun.pas',
  U_ZDYHelp in '..\Z99Dependency\ThreeFun\Form\U_ZDYHelp.pas' {frmZDYHelp},
  U_AttachmentUpload in '..\A00通用窗体\U_AttachmentUpload.pas' {frmFjList_RZ},
  U_ClothInfoSel in '..\A00通用窗体\U_ClothInfoSel.pas' {frmClothInfoSel},
  U_CompanySel in '..\A00通用窗体\U_CompanySel.pas' {frmCompanySel},
  U_EmployeeSel in '..\A00通用窗体\U_EmployeeSel.pas' {frmEmployeeSel},
  U_LablePrint in '..\A00通用窗体\U_LablePrint.pas' {frmLablePrint},
  U_TradeSalesContractSel in '..\G00贸易通用窗体\U_TradeSalesContractSel.pas' {frmTradeSalesContractSel},
  U_TradePlanList in 'U_TradePlanList.pas' {frmTradePlanList},
  U_TradeInspSet in 'U_TradeInspSet.pas' {frmTradeInspSet},
  U_LbaelMapSet in '..\A00通用窗体\U_LbaelMapSet.pas' {frmLbaelMapSet},
  uSZHN_JSON in '..\..\..\public10\ThreeFun\Fun\uSZHN_JSON.pas';

{$R *.res}

procedure DllEnterPoint(dwReason: DWORD); far; stdcall;
begin
  DLLProc := @DLLEnterPoint;
  DllEnterPoint(DLL_PROCESS_ATTACH);
end;

procedure DLLUnloadProc(Reason: Integer); register;
begin
//  if (Reason = DLL_PROCESS_DETACH) or (Reason = DLL_THREAD_DETACH) then
//    Application := NewDllApp;
end;

exports
  GetDllForm;

begin
  try
    NewDllApp := Application;
    DLLProc := @DLLUnloadProc;
  except

  end;
end.

